- Main Page
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# OtherObjectiveResult Class Reference

The OtherObjectiveResult Class. More...

`#include <OSResult.h>`

Collaboration diagram for OtherObjectiveResult:

[legend]
List of all members.

## Public Member Functions
| OtherObjectiveResult ()
| Default constructor.
| ~OtherObjectiveResult ()
| Class destructor.
bool | IsEqual (OtherObjectiveResult *that)
| A function to check for the equality of two objects.
bool | setRandom (double density, bool conformant)
| A function to make a random instance of this class.
| OtherObjectiveResult ()
| Default constructor.
| ~OtherObjectiveResult ()
| Class destructor.
## Public Attributes
int | numberOfObj
| the number of objectives which have values for this particular type of result
int | numberOfEnumerations
| the number of distinct values for this particular type of result
std::string | name
| the name of the result the user is defining
std::string | value
| this element allows a specific value associated with this particular type of result
std::string | description
| a brief description of the type of result
OtherObjResult ** | obj
OtherOptionEnumeration ** | enumeration
std::vector< OtherObjResult * > | obj

## Detailed Description

The OtherObjectiveResult Class.

Author:
  Robert Fourer, Horand Gassmann, Jun Ma, Kipp Martin

Version:
  1.0, 03/14/2004

Since:
  OS 1.0

Remarks:
  A class that allows the solver to report an arbitrary result associated with objective functions

Definition at line 1389 of file OSResult.h.

## Constructor & Destructor Documentation

OtherObjectiveResult::OtherObjectiveResult | ( |  | ) |

Default constructor.

Definition at line 635 of file OSResult.cpp.

OtherObjectiveResult::~OtherObjectiveResult | ( |  | ) |

Class destructor.

Definition at line 650 of file OSResult.cpp.

References enumeration, numberOfEnumerations, numberOfObj, and obj.

OtherObjectiveResult::OtherObjectiveResult | ( |  | ) |

Default constructor.

OtherObjectiveResult::~OtherObjectiveResult | ( |  | ) |

Class destructor.

## Member Function Documentation

bool OtherObjectiveResult::IsEqual | ( | OtherObjectiveResult * | that | ) |

A function to check for the equality of two objects.

Definition at line 6636 of file OSResult.cpp.

bool OtherObjectiveResult::setRandom | ( | double | density,
|  | bool | conformant |
| ) |  |  |

A function to make a random instance of this class.

Parameters:

  | density,: | corresponds to the probability that a particular child element is created
  | conformant,: | if true enforces side constraints not enforceable in the schema (e.g., agreement of "numberOfXXX" atrbutes and <XXX> children)

Definition at line 8027 of file OSResult.cpp.

References enumeration, obj, OSRand(), OtherOptionEnumeration::setRandom(), and OtherObjResult::setRandom().

Referenced by ObjectiveSolution::setRandom().

## Member Data Documentation

int OtherObjectiveResult::numberOfObj

the number of objectives which have values for this particular type of result

Definition at line 1395 of file OSResult.h.

Referenced by ~OtherObjectiveResult().

int OtherObjectiveResult::numberOfEnumerations

the number of distinct values for this particular type of result

Definition at line 1400 of file OSResult.h.

Referenced by OSResult::getOtherObjectiveResultEnumerationDescription(), OSResult::getOtherObjectiveResultEnumerationEl(), OSResult::getOtherObjectiveResultEnumerationNumberOfEl(), OSResult::getOtherObjectiveResultEnumerationValue(), OSResult::setOtherOptionEnumeration(), tempPrintArrays(), and ~OtherObjectiveResult().

std::string OtherObjectiveResult::name

the name of the result the user is defining

Definition at line 1403 of file OSResult.h.

std::string OtherObjectiveResult::value

this element allows a specific value associated with this particular type of result

Definition at line 1408 of file OSResult.h.

std::string OtherObjectiveResult::description

a brief description of the type of result

Definition at line 1411 of file OSResult.h.

OtherObjResult** OtherObjectiveResult::obj

Definition at line 1417 of file OSResult.h.

Referenced by setRandom(), and ~OtherObjectiveResult().

OtherOptionEnumeration** OtherObjectiveResult::enumeration

Definition at line 1423 of file OSResult.h.

Referenced by OSResult::getOtherObjectiveResultEnumerationDescription(), OSResult::getOtherObjectiveResultEnumerationEl(), OSResult::getOtherObjectiveResultEnumerationNumberOfEl(), OSResult::getOtherObjectiveResultEnumerationValue(), OSResult::setOtherOptionEnumeration(), setRandom(), tempPrintArrays(), and ~OtherObjectiveResult().

std::vector<OtherObjResult*> OtherObjectiveResult::obj

Definition at line 840 of file OSResult.h.

The documentation for this class was generated from the following files:

- /home/coin/SVN-release/OS-2.3.5/OS/src/OSCommonInterfaces/OSResult.h
- /home/coin/SVN-release/OS-2.3.5/OS/v2.0/OSResult.h
- /home/coin/SVN-release/OS-2.3.5/OS/src/OSCommonInterfaces/OSResult.cpp
- /home/coin/SVN-release/OS-2.3.5/OS/v2.0/OSResult.cpp